Bug 97608 - libtool.m4 bug: `"$LD" -v`
libtool.m4 bug: `"$LD" -v`
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: libtool (Show other bugs)
1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-18 06:56 EDT by Tim Waugh
Modified: 2015-01-07 19:05 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.5-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 02:30:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libtool-patch (448 bytes, patch)
2003-06-19 04:19 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2003-06-18 06:56:46 EDT
Description of problem:
/usr/share/aclocal/libtool.m4 contains code for checking if ld is GNU ld; but it
fails if gcc provides '/usr/bin/ld -m ...' for $LD.  The quotes should be
removed, like:

`$LD -v`

Version-Release number of selected component (if applicable):
libtool-1.5-3

This causes build failures on x86_64.
Comment 1 Jens Petersen 2003-06-18 21:46:50 EDT
Could you attache a patch to illustrate please?
I'm not clear on what should be changed.

Also some build output would be nice for reference.
Comment 2 Tim Waugh 2003-06-19 04:19:57 EDT
Created attachment 92480 [details]
libtool-patch

Here is the change I'm talking about.  This comes from omni-libtool.patch in
cvs.devel.  Get build output by building Omni-0.9.0-2 from CVS on x86_64 -- or
just see for yourself that 'gcc -print-prog-name=ld' on x86_64 gives output
containing spaces.
Comment 3 Jens Petersen 2003-06-19 04:57:21 EDT
Ok, thanks.

However for me "gcc -print-prog-name=ld" just outputs "ld" on x86_64
when I just tried now.
Comment 4 Tim Waugh 2003-06-19 05:11:15 EDT
Oh it was g++; but it doesn't seem to be doing it with the new GCC package.  But
on Tuesday I was getting things like this (pasted from an IRC log I had):

appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld -m elf_x86_64
checking if the linker (/usr/bin/ld -m elf_x86_64) is GNU ld... no
checking whether the g++ linker (/usr/bin/ld -m elf_x86_64) supports shared
libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... no
Comment 6 Jakub Jelinek 2003-06-19 07:40:47 EDT
GCC never provided any arguments to ld in gcc -print-prog-name=ld, so it must be
something else.
Comment 7 Jens Petersen 2003-07-08 09:27:37 EDT
Ok, should be fixed in libtool-1.5-4.

Note You need to log in before you can comment on or make changes to this bug.